pcl::tracking::_ParticleXYZRPY Struct Reference

`#include <pcl/tracking/impl/tracking.hpp>`

Inheritance diagram for pcl::tracking::_ParticleXYZRPY:

## Public Attributes

| PCL_ADD_POINT4D
union {
struct {
float roll
float pitch
float yaw
float weight
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 13 of file tracking.hpp.

## Member Data Documentation

## @162

union { ... }

## data_c

float pcl::tracking::_ParticleXYZRPY::data_c[4]

Definition at line 25 of file tracking.hpp.

## PCL_ADD_POINT4D

pcl::tracking::_ParticleXYZRPY::PCL_ADD_POINT4D

Definition at line 15 of file tracking.hpp.

## pitch

float pcl::tracking::_ParticleXYZRPY::pitch

Definition at line 21 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), pcl::tracking::operator<<(), pcl::tracking::ParticleXYZRPY::operator[](), pcl::tracking::ParticleXYZR::operator[](), pcl::tracking::ParticleXYRPY::operator[](), pcl::tracking::ParticleXYRP::operator[](), pcl::tracking::ParticleXYR::operator[](), pcl::tracking::ParticleXYR::ParticleXYR(), pcl::tracking::ParticleXYRP::ParticleXYRP(), pcl::tracking::ParticleXYRPY::ParticleXYRPY(), pcl::tracking::ParticleXYZR::ParticleXYZR(), pcl::tracking::ParticleXYZRPY::ParticleXYZRPY(), pcl::tracking::ParticleXYZRPY::sample(), pcl::tracking::ParticleXYZR::sample(), pcl::tracking::ParticleXYRPY::sample(), pcl::tracking::ParticleXYRP::sample(), pcl::tracking::ParticleXYR::sample(), pcl::tracking::ParticleXYZRPY::toEigenMatrix(), pcl::tracking::ParticleXYZR::toEigenMatrix(), pcl::tracking::ParticleXYRPY::toEigenMatrix(), pcl::tracking::ParticleXYRP::toEigenMatrix(), pcl::tracking::ParticleXYR::toEigenMatrix(), pcl::tracking::ParticleXYZRPY::zero(), pcl::tracking::ParticleXYZR::zero(), pcl::tracking::ParticleXYRPY::zero(), pcl::tracking::ParticleXYRP::zero(), and pcl::tracking::ParticleXYR::zero().

## roll

float pcl::tracking::_ParticleXYZRPY::roll

Definition at line 20 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), pcl::tracking::operator<<(), pcl::tracking::ParticleXYZRPY::operator[](), pcl::tracking::ParticleXYZR::operator[](), pcl::tracking::ParticleXYRPY::operator[](), pcl::tracking::ParticleXYRP::operator[](), pcl::tracking::ParticleXYR::operator[](), pcl::tracking::ParticleXYR::ParticleXYR(), pcl::tracking::ParticleXYRP::ParticleXYRP(), pcl::tracking::ParticleXYRPY::ParticleXYRPY(), pcl::tracking::ParticleXYZR::ParticleXYZR(), pcl::tracking::ParticleXYZRPY::ParticleXYZRPY(), pcl::tracking::ParticleXYZRPY::sample(), pcl::tracking::ParticleXYZR::sample(), pcl::tracking::ParticleXYRPY::sample(), pcl::tracking::ParticleXYRP::sample(), pcl::tracking::ParticleXYR::sample(), pcl::tracking::ParticleXYZRPY::toEigenMatrix(), pcl::tracking::ParticleXYZR::toEigenMatrix(), pcl::tracking::ParticleXYRPY::toEigenMatrix(), pcl::tracking::ParticleXYRP::toEigenMatrix(), pcl::tracking::ParticleXYR::toEigenMatrix(), pcl::tracking::ParticleXYZRPY::zero(), pcl::tracking::ParticleXYZR::zero(), pcl::tracking::ParticleXYRPY::zero(), pcl::tracking::ParticleXYRP::zero(), and pcl::tracking::ParticleXYR::zero().

## weight

float pcl::tracking::_ParticleXYZRPY::weight

Definition at line 23 of file tracking.hpp.

## yaw

float pcl::tracking::_ParticleXYZRPY::yaw

Definition at line 22 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), pcl::tracking::operator<<(), pcl::tracking::ParticleXYZRPY::operator[](), pcl::tracking::ParticleXYZR::operator[](), pcl::tracking::ParticleXYRPY::operator[](), pcl::tracking::ParticleXYRP::operator[](), pcl::tracking::ParticleXYR::operator[](), pcl::tracking::ParticleXYR::ParticleXYR(), pcl::tracking::ParticleXYRP::ParticleXYRP(), pcl::tracking::ParticleXYRPY::ParticleXYRPY(), pcl::tracking::ParticleXYZR::ParticleXYZR(), pcl::tracking::ParticleXYZRPY::ParticleXYZRPY(), pcl::tracking::ParticleXYZRPY::sample(), pcl::tracking::ParticleXYZR::sample(), pcl::tracking::ParticleXYRPY::sample(), pcl::tracking::ParticleXYRP::sample(), pcl::tracking::ParticleXYR::sample(), pcl::tracking::ParticleXYZRPY::toEigenMatrix(), pcl::tracking::ParticleXYZR::toEigenMatrix(), pcl::tracking::ParticleXYRPY::toEigenMatrix(), pcl::tracking::ParticleXYRP::toEigenMatrix(), pcl::tracking::ParticleXYR::toEigenMatrix(), pcl::tracking::ParticleXYZRPY::zero(), pcl::tracking::ParticleXYZR::zero(), pcl::tracking::ParticleXYRPY::zero(), pcl::tracking::ParticleXYRP::zero(), and pcl::tracking::ParticleXYR::zero().

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/tracking/include/pcl/tracking/impl/tracking.hpp